Index: trunk/dports/www/nginx/Portfile
===================================================================
--- trunk/dports/www/nginx/Portfile	(revision 40460)
+++ trunk/dports/www/nginx/Portfile	(revision 40461)
@@ -4,5 +4,5 @@
 
 name            nginx
-version         0.5.34
+version         0.6.32
 categories      www mail
 platforms       darwin
@@ -20,15 +20,11 @@
 homepage        http://nginx.net/
 master_sites    http://sysoev.ru/nginx
-checksums       md5     8f7d3efcd7caaf1f06e4d95dfaeac238 \
-                sha1    f76f6cb1ac0a316f20958bf7dc6a03723fb58edf \
-                rmd160  a057651eb9065b1e491ce38c73bc9e4897c982c7
+checksums       md5     c09a2ace3c91f45dabbb608b11e48ed1 \
+                sha1    346166171477c3e78759bdbbc8461107d8475269 \
+                rmd160  06749c5bf834a3f7e82ad3122a5db457c193d117
 
 depends_lib     port:pcre port:zlib
 
 patchfiles      patch-auto__install.diff patch-conf__nginx.conf.diff
-post-patch {
-    reinplace "s|__DESTROOT__|${destroot}|g" \
-        ${worksrcpath}/auto/install
-}
 
 set pidfile     ${prefix}/var/run/${name}.pid
@@ -51,5 +47,4 @@
 post-destroot {
     set nginx_conf ${prefix}/etc/${name}/${name}.conf
-    move ${destroot}${nginx_conf} ${destroot}${nginx_conf}.example
 # Try to cover for the fact that, in earlier revisions of this port, the
 # configuration file was installed live instead of an example, in which case an
Index: trunk/dports/www/nginx/files/patch-auto__install.diff
===================================================================
--- trunk/dports/www/nginx/files/patch-auto__install.diff	(revision 40460)
+++ trunk/dports/www/nginx/files/patch-auto__install.diff	(revision 40461)
@@ -1,4 +1,4 @@
---- auto/install	2006-08-30 10:39:17.000000000 +0000
-+++ auto/install.new	2007-12-15 02:29:00.000000000 +0000
+--- auto/install	2008-07-07 20:25:08.000000000 +1000
++++ auto/install.new	2008-09-28 23:13:21.000000000 +1000
 @@ -7,7 +7,7 @@
      cat << END                                                >> $NGX_MAKEFILE
@@ -10,70 +10,36 @@
  
      NGX_INSTALL_PERL_MODULES=install_perl_modules
-@@ -19,42 +19,44 @@
+@@ -35,18 +35,11 @@
+ 	cp conf/koi-utf '\$(DESTDIR)$NGX_CONF_PREFIX'
+ 	cp conf/win-utf '\$(DESTDIR)$NGX_CONF_PREFIX'
  
- install:	$NGX_OBJS${ngx_dirsep}nginx${ngx_binext}	\
- 		$NGX_INSTALL_PERL_MODULES
--	test -d '$NGX_PREFIX' || mkdir -p '$NGX_PREFIX'
-+	test -d '__DESTROOT__$NGX_PREFIX' || mkdir -p '__DESTROOT__$NGX_PREFIX'
+-	test -f '\$(DESTDIR)$NGX_CONF_PREFIX/mime.types' \
+-		|| cp conf/mime.types '\$(DESTDIR)$NGX_CONF_PREFIX'
+-	cp conf/mime.types '\$(DESTDIR)$NGX_CONF_PREFIX/mime.types.default'
++	cp conf/mime.types '\$(DESTDIR)$NGX_CONF_PREFIX/mime.types.example'
  
--	test -d '`dirname "$NGX_SBIN_PATH"`' \
--		|| mkdir -p '`dirname "$NGX_SBIN_PATH"`'
--	test ! -f '$NGX_SBIN_PATH' || mv '$NGX_SBIN_PATH' '$NGX_SBIN_PATH.old'
--	cp $NGX_OBJS/nginx '$NGX_SBIN_PATH'
-+	test -d '`dirname "__DESTROOT__$NGX_SBIN_PATH"`' \
-+		|| mkdir -p '`dirname "__DESTROOT__$NGX_SBIN_PATH"`'
-+	test ! -f '__DESTROOT__$NGX_SBIN_PATH' || mv '__DESTROOT__$NGX_SBIN_PATH' '__DESTROOT__$NGX_SBIN_PATH.old'
-+	cp $NGX_OBJS/nginx '__DESTROOT__$NGX_SBIN_PATH'
+-	test -f '\$(DESTDIR)$NGX_CONF_PREFIX/fastcgi_params' \
+-		|| cp conf/fastcgi_params '\$(DESTDIR)$NGX_CONF_PREFIX'
+-	cp conf/fastcgi_params \
+-		'\$(DESTDIR)$NGX_CONF_PREFIX/fastcgi_params.default'
++	cp conf/fastcgi_params '\$(DESTDIR)$NGX_CONF_PREFIX/fastcgi_params.example'
  
--	test -d '`dirname "$NGX_CONF_PATH"`' \
--		|| mkdir -p '`dirname "$NGX_CONF_PATH"`'
-+	test -d '`dirname "__DESTROOT__$NGX_CONF_PATH"`' \
-+		|| mkdir -p '`dirname "__DESTROOT__$NGX_CONF_PATH"`'
+-	test -f '\$(DESTDIR)$NGX_CONF_PATH' \
+-		|| cp conf/nginx.conf '\$(DESTDIR)$NGX_CONF_PREFIX'
+-	cp conf/nginx.conf '\$(DESTDIR)$NGX_CONF_PREFIX/nginx.conf.default'
++	cp conf/nginx.conf '\$(DESTDIR)$NGX_CONF_PREFIX/nginx.conf.example'
  
--	cp conf/koi-win '`dirname "$NGX_CONF_PATH"`'
--	cp conf/koi-utf '`dirname "$NGX_CONF_PATH"`'
--	cp conf/win-utf '`dirname "$NGX_CONF_PATH"`'
-+	cp conf/koi-win '`dirname "__DESTROOT__$NGX_CONF_PATH"`'
-+	cp conf/koi-utf '`dirname "__DESTROOT__$NGX_CONF_PATH"`'
-+	cp conf/win-utf '`dirname "__DESTROOT__$NGX_CONF_PATH"`'
+ 	test -d '\$(DESTDIR)`dirname "$NGX_PID_PATH"`' \
+ 		|| mkdir -p '\$(DESTDIR)`dirname "$NGX_PID_PATH"`'
+@@ -54,8 +47,9 @@
+ 	test -d '\$(DESTDIR)`dirname "$NGX_HTTP_LOG_PATH"`' || \
+ 		mkdir -p '\$(DESTDIR)`dirname "$NGX_HTTP_LOG_PATH"`'
  
--	test -f '`dirname "$NGX_CONF_PATH"`/mime.types' || \
--		cp conf/mime.types '`dirname "$NGX_CONF_PATH"`/mime.types'
--	cp conf/mime.types '`dirname "$NGX_CONF_PATH"`/mime.types.default'
-+	test -f '`dirname "__DESTROOT__$NGX_CONF_PATH"`/mime.types' || \
-+		cp conf/mime.types '`dirname "__DESTROOT__$NGX_CONF_PATH"`/mime.types'
-+	cp conf/mime.types '`dirname "__DESTROOT__$NGX_CONF_PATH"`/mime.types.default'
- 
--	test -f '$NGX_CONF_PATH' || cp conf/nginx.conf '$NGX_CONF_PATH'
--	cp conf/nginx.conf '`dirname "$NGX_CONF_PATH"`/nginx.conf.default'
-+	test -f '__DESTROOT__$NGX_CONF_PATH' || cp conf/nginx.conf '__DESTROOT__$NGX_CONF_PATH'
-+	cp conf/nginx.conf '`dirname "__DESTROOT__$NGX_CONF_PATH"`/nginx.conf.default'
- 
--	test -d '`dirname "$NGX_PID_PATH"`' \
--		|| mkdir -p '`dirname "$NGX_PID_PATH"`'
-+	test -d '`dirname "__DESTROOT__$NGX_PID_PATH"`' \
-+		|| mkdir -p '`dirname "__DESTROOT__$NGX_PID_PATH"`'
- 
--	test -d '`dirname "$NGX_HTTP_LOG_PATH"`' || \
--		mkdir -p '`dirname "$NGX_HTTP_LOG_PATH"`'
-+	test -d '`dirname "__DESTROOT__$NGX_HTTP_LOG_PATH"`' || \
-+		mkdir -p '`dirname "__DESTROOT__$NGX_HTTP_LOG_PATH"`'
- 
--	test -d '$NGX_PREFIX/html' || cp -r html '$NGX_PREFIX'
-+	test -d '__DESTROOT__$NGX_PREFIX/share/nginx/html' || \
-+		mkdir -p '__DESTROOT__$NGX_PREFIX/share/nginx/html' && \
-+		cp -r html '__DESTROOT__$NGX_PREFIX/share/nginx'
+-	test -d '\$(DESTDIR)$NGX_PREFIX/html' \
+-		|| cp -r html '\$(DESTDIR)$NGX_PREFIX'
++	test -d '\$(DESTDIR)$NGX_PREFIX/share/nginx/html' || \
++		mkdir -p '\$(DESTDIR)$NGX_PREFIX/share/nginx/html' && \
++		cp -r html '\$(DESTDIR)$NGX_PREFIX/share/nginx'
  END
  
  
--if test -n "$NGX_ERROR_LOG_PATH"; then
-+if test -n "__DESTROOT__$NGX_ERROR_LOG_PATH"; then
-     cat << END                                                >> $NGX_MAKEFILE
- 
--	test -d '`dirname "$NGX_ERROR_LOG_PATH"`' || \
--		mkdir -p '`dirname "$NGX_ERROR_LOG_PATH"`'
-+	test -d '`dirname "__DESTROOT__$NGX_ERROR_LOG_PATH"`' || \
-+		mkdir -p '`dirname "__DESTROOT__$NGX_ERROR_LOG_PATH"`'
- END
- 
- fi
Index: trunk/dports/www/nginx/files/patch-conf__nginx.conf.diff
===================================================================
--- trunk/dports/www/nginx/files/patch-conf__nginx.conf.diff	(revision 40460)
+++ trunk/dports/www/nginx/files/patch-conf__nginx.conf.diff	(revision 40461)
@@ -1,13 +1,4 @@
---- conf/nginx.conf	2007-05-12 07:19:58.000000000 +0000
-+++ conf/nginx.conf.new	2007-05-12 07:19:36.000000000 +0000
-@@ -15,7 +15,7 @@
- 
- 
- http {
--    include       conf/mime.types;
-+    include       etc/nginx/mime.types;
-     default_type  application/octet-stream;
- 
-     #log_format  main  '$remote_addr - $remote_user [$time_local] $request '
+--- conf/nginx.conf	2008-02-28 20:44:16.000000000 +0000
++++ conf/nginx.conf	2008-07-09 18:05:34.000000000 +0100
 @@ -41,7 +41,7 @@
          #access_log  logs/host.access.log  main;
@@ -28,5 +19,5 @@
  
          # proxy the PHP scripts to Apache listening on 127.0.0.1:80
-@@ -86,7 +86,7 @@
+@@ -87,7 +87,7 @@
      #    server_name  somename  alias  another.alias;
  
@@ -37,5 +28,5 @@
      #    }
      #}
-@@ -109,7 +109,7 @@
+@@ -110,7 +110,7 @@
      #    ssl_prefer_server_ciphers   on;
  