Index: trunk/dports/mail/exim/Portfile
===================================================================
--- trunk/dports/mail/exim/Portfile	(revision 40552)
+++ trunk/dports/mail/exim/Portfile	(revision 40553)
@@ -32,21 +32,21 @@
 patch.pre_args  -p1
 
-configure   {   cd ${worksrcpath}
-                system "cp src/EDITME Local/Makefile"
-                reinplace "s|/usr/exim/bin|${prefix}/sbin|g" Local/Makefile
-                reinplace "s|/usr/exim/configure|${prefix}/etc/exim/exim.conf|g" Local/Makefile
-                reinplace "s|EXIM_USER=|EXIM_USER=${exim_user}|g" Local/Makefile
-                reinplace "s|/var/spool/exim|${prefix}/var/spool/exim|g" Local/Makefile
-                reinplace "s|EXIM_MONITOR=eximon.bin|#EXIM_MONITOR=eximon.bin|g" Local/Makefile
-                reinplace "s|# WITH_CONTENT_SCAN=yes|WITH_CONTENT_SCAN=yes|g" Local/Makefile       
-                reinplace "s|# LOOKUP_PASSWD=yes|LOOKUP_PASSWD=yes|g" Local/Makefile
-                reinplace "s|# LOOKUP_CDB=yes|LOOKUP_CDB=yes|g" Local/Makefile
-                reinplace "s|# LOOKUP_DSEARCH=yes|LOOKUP_DSEARCH=yes|g" Local/Makefile
-                reinplace "s|# SUPPORT_MAILDIR=yes|SUPPORT_MAILDIR=yes|g" Local/Makefile       
-                reinplace "s|# TLS_LIBS=-L/usr/local/openssl/lib|TLS_LIBS=-L${prefix}/lib|g" Local/Makefile       
-                reinplace "s|# TLS_INCLUDE=-I/usr/local/openssl/include|TLS_INCLUDE=-I${prefix}/include/openssl|g" Local/Makefile       
-                reinplace "s|# Exim: OS-specific make file for Darwin (Mac OS X).|INCLUDE=-I${prefix}/include/db44|g" OS/Makefile-Darwin                
-                reinplace "s|DBMLIB =|DBMLIB=${prefix}/lib/db44/libdb-4.dylib|g" OS/Makefile-Darwin                
-                reinplace "s|/etc/aliases|${destroot}${prefix}/etc/aliases|g" scripts/exim_install
+configure   {
+                copy ${worksrcpath}/src/EDITME ${worksrcpath}/Local/Makefile
+                reinplace "s|/usr/exim/bin|${prefix}/sbin|g" ${worksrcpath}/Local/Makefile
+                reinplace "s|/usr/exim/configure|${prefix}/etc/exim/exim.conf|g" ${worksrcpath}/Local/Makefile
+                reinplace "s|EXIM_USER=|EXIM_USER=${exim_user}|g" ${worksrcpath}/Local/Makefile
+                reinplace "s|/var/spool/exim|${prefix}/var/spool/exim|g" ${worksrcpath}/Local/Makefile
+                reinplace "s|EXIM_MONITOR=eximon.bin|#EXIM_MONITOR=eximon.bin|g" ${worksrcpath}/Local/Makefile
+                reinplace "s|# WITH_CONTENT_SCAN=yes|WITH_CONTENT_SCAN=yes|g" ${worksrcpath}/Local/Makefile       
+                reinplace "s|# LOOKUP_PASSWD=yes|LOOKUP_PASSWD=yes|g" ${worksrcpath}/Local/Makefile
+                reinplace "s|# LOOKUP_CDB=yes|LOOKUP_CDB=yes|g" ${worksrcpath}/Local/Makefile
+                reinplace "s|# LOOKUP_DSEARCH=yes|LOOKUP_DSEARCH=yes|g" ${worksrcpath}/Local/Makefile
+                reinplace "s|# SUPPORT_MAILDIR=yes|SUPPORT_MAILDIR=yes|g" ${worksrcpath}/Local/Makefile       
+                reinplace "s|# TLS_LIBS=-L/usr/local/openssl/lib|TLS_LIBS=-L${prefix}/lib|g" ${worksrcpath}/Local/Makefile       
+                reinplace "s|# TLS_INCLUDE=-I/usr/local/openssl/include|TLS_INCLUDE=-I${prefix}/include/openssl|g" ${worksrcpath}/Local/Makefile       
+                reinplace "s|# Exim: OS-specific make file for Darwin (Mac OS X).|INCLUDE=-I${prefix}/include/db44|g" ${worksrcpath}/OS/Makefile-Darwin                
+                reinplace "s|DBMLIB =|DBMLIB=${prefix}/lib/db44/libdb-4.dylib|g" ${worksrcpath}/OS/Makefile-Darwin                
+                reinplace "s|/etc/aliases|${destroot}${prefix}/etc/aliases|g" ${worksrcpath}/scripts/exim_install
                 adduser ${exim_user} gid=[existsgroup mail] }
 
@@ -56,6 +56,5 @@
 post-destroot { system "mv ${destroot}${prefix}/etc/exim/exim.conf ${destroot}${prefix}/etc/exim/exim.conf.sample"
                 xinstall -o root -m 755 -d ${destroot}${prefix}/share/exim
-                cd ${worksrcpath}
-                system "cp -R doc/ ${destroot}${prefix}/share/exim"
+                system "cp -R ${worksrcpath}/doc/ ${destroot}${prefix}/share/exim"
                 xinstall -o ${exim_user} -g mail -m 750 -d ${destroot}${prefix}/var/spool/exim
                 xinstall -o root -m 755 -d ${destroot}${prefix}/etc/rc.d