Index: trunk/dports/mail/listat/Portfile
===================================================================
--- trunk/dports/mail/listat/Portfile	(revision 68755)
+++ trunk/dports/mail/listat/Portfile	(revision 68756)
@@ -4,5 +4,6 @@
 
 name			listat
-version			1.0
+version			2.1.1
+set major		[lindex [split ${version} .] 0]
 categories		mail textproc
 platforms		darwin
@@ -14,18 +15,24 @@
 homepage		http://wordsmith.org/anu/listat/
 master_sites	${homepage}
-distname		listat
-checksums		md5 0a8a9fa805c884c4964b1994a0f231e0
+dist_subdir		${name}/${version}
+distname		${name}
+worksrcdir		${name}${major}
+
+checksums		md5     cf423b971ebc95813faebc895d04bae2 \
+				sha1    76eaf995fe2d6c9343077173580d71ab1ab50576 \
+				rmd160  8f9eeb926dae002b6deeb3df9e3c6aa72fc2c994
+
+depends_run		path:bin/perl:perl5
+
 patchfiles		patch-listat \
 				patch-listat.conf \
 				patch-subdomains.txt
 
-depends_run		path:bin/perl:perl5
-
-worksrcdir		${name}_${version}
-
-
-configure	{
+post-patch {
 	reinplace "s|__PREFIX__|${prefix}|g" ${worksrcpath}/listat
 }
+
+use_configure	no
+supported_archs	noarch
 
 build		{}
Index: trunk/dports/mail/listat/files/patch-listat
===================================================================
--- trunk/dports/mail/listat/files/patch-listat	(revision 68755)
+++ trunk/dports/mail/listat/files/patch-listat	(revision 68756)
@@ -1,30 +1,30 @@
---- listat	Fri May 15 20:01:10 1998
-+++ ../../listat	Thu Sep 16 09:09:52 2004
+--- listat.orig	2009-09-10 12:42:57.000000000 -0500
++++ listat	2010-06-12 12:16:32.000000000 -0500
 @@ -1,4 +1,4 @@
--#!/usr/local/bin/perl 
-+#!/usr//bin/env perl 
+-#!/usr/bin/perl
++#!__PREFIX__/bin/perl
  
- # $Id: patch-listat,v 1.1 2004/09/17 00:04:13 mww Exp $
+ # Listat: Generate statistical report about your mailing list
+ #          http://wordsmith.org/anu/listat
+@@ -11,9 +11,9 @@
  
-@@ -11,9 +11,9 @@
  #-------------------------------------------------------------------------------
- sub init{
-    $| = 1;			# Force unbuffered I/O
--   $subdomainlist = "subdomains.txt";# Space delimited file with domain info
--   $domainlist = "domains.txt";	# Tab delimited file with domain info
--   $flag_dir = "flags";		# Directory with flags images
-+   $subdomainlist = "__PREFIX__/share/listat/subdomains.txt";# Space delimited file with domain info
-+   $domainlist = "__PREFIX__/share/listat/domains.txt";	# Tab delimited file with domain info
-+   $flag_dir = "__PREFIX__/share/listat/flags";		# Directory with flags images
-    $addresslist = "";		# List file with email addresses, one per line
-    $textstats = "";		# File where stats are written
-    $htmlstats = "";		# File where HTML stats are written
-@@ -31,7 +31,7 @@
- 				# so many email addresses have been processed
-    $tick_value = ".";		# The character to be used in the above
-    $bad_addresses = "";		# Listing of addresses with invalid domain
--   $config = "listat.conf";	# Config file
-+   $config = "__PREFIX__/etc/listat.conf";	# Config file
-    require "getopts.pl";	# To process command line arguments
- 
-    # Read config file
+ $| = 1;			# Force unbuffered I/O
+-my $subdomainlist = "subdomains.txt"; # Space delimited file with domain info
+-my $domainlist = "domains.txt";# Tab delimited file with domain info
+-my $flag_dir = "flags";	# Directory with flags images
++my $subdomainlist = "__PREFIX__/share/listat/subdomains.txt"; # Space delimited file with domain info
++my $domainlist = "__PREFIX__/share/listat/domains.txt";# Tab delimited file with domain info
++my $flag_dir = "__PREFIX__/share/listat/flags";	# Directory with flags images
+ my $addresslist = "";	# List file, one email address per line
+ my $textstats = "";		# Output file for text stats
+ my $htmlstats = "";		# Output file for HTML stats
+@@ -28,7 +28,7 @@
+ my $bad_count = 0;		# Count of addresses that can't be processed
+ my $verbose = 0;		# Verbose mode
+ my $bad_addresses = "";	# Listing of addresses with invalid domain
+-my $config = "listat.conf";	# Config file
++my $config = "__PREFIX__/etc/listat.conf";	# Config file
+ my @subdomain = {};		# Subdomains for which subdomain report is done
+ my $topsubdomain;		# How many top subdomain to list for each subdom
+ #require "getopts.pl";	# To process command line arguments
Index: trunk/dports/mail/listat/files/patch-listat.conf
===================================================================
--- trunk/dports/mail/listat/files/patch-listat.conf	(revision 68755)
+++ trunk/dports/mail/listat/files/patch-listat.conf	(revision 68756)
@@ -1,13 +1,12 @@
---- listat.conf	Fri May 15 19:58:06 1998
-+++ listat.conf.new	Thu Sep 16 09:22:59 2004
-@@ -50,8 +50,8 @@
+--- listat.conf.orig	2009-09-10 12:42:57.000000000 -0500
++++ listat.conf	2010-06-12 12:18:36.000000000 -0500
+@@ -35,7 +35,7 @@
+ # You should not need to change any of the settings below
  
  # Where is domain information?
- 
 -DOMAINLIST domains.txt
 +#DOMAINLIST domains.txt
  
- # Where is subdomain information?
- 
+ # Where is subdomain information cached?
 -SUBDOMAINLIST subdomains.txt
 +#SUBDOMAINLIST subdomains.txt
Index: trunk/dports/mail/listat/files/patch-subdomains.txt
===================================================================
--- trunk/dports/mail/listat/files/patch-subdomains.txt	(revision 68755)
+++ trunk/dports/mail/listat/files/patch-subdomains.txt	(revision 68756)
@@ -1,26 +1,27 @@
---- subdomains.txt	Sun Dec 28 23:24:49 1997
-+++ ../../subdomains.txt	Thu Sep 16 09:29:31 2004
-@@ -3966,6 +3966,7 @@
- findsvp.com Find/SVP 
- findyn.com Financial Dynamics, Inc. 
- fingerhut.com Fingerhut Companies Inc. 
-+fink.sourceforge.net The Fink Project
- finnegan.com Finnegan,Henderson,Farabow,Garrett, & Dunner 
- finnpower.com Finn-Power International 
- finsbury.com Finsbury Ltd 
-@@ -4441,6 +4442,7 @@
- gnt.net GulfNet Technologies, Destin 
- gntech.net Great Northern Technologies 
- gntx.com Gentex Corporation 
+--- subdomains.txt.orig	2009-09-10 12:42:57.000000000 -0500
++++ subdomains.txt	2010-06-12 12:22:37.000000000 -0500
+@@ -3973,6 +3973,7 @@
+ findsvp.com Find/SVP
+ findyn.com Financial Dynamics, Inc.
+ fingerhut.com Fingerhut Companies Inc.
++finkproject.org The Fink Project
+ finnegan.com Finnegan,Henderson,Farabow,Garrett, & Dunner
+ finnpower.com Finn-Power International
+ finsbury.com Finsbury Ltd
+@@ -4449,6 +4450,7 @@
+ gnt.net GulfNet Technologies, Destin
+ gntech.net Great Northern Technologies
+ gntx.com Gentex Corporation
 +gnu-darwin.org The GNU-Darwin Project
- go-pc.com PC Computer Consultants Inc. 
- go2net.com Go2Net, Inc. 
- goal-partners.com Goal-Partners, Inc. 
-@@ -8310,6 +8312,7 @@
- opc.com Oglethorpe Power Corporation 
- opcode.com Opcode Systems 
- open.org Marion Salem Data Center 
-+opendarwin.org The OpenDarwin Project
- openhorizon.com Open Horizon 
- openix.com Macrosoft 
- openmarket.com Open Market, Inc. 
+ go-pc.com PC Computer Consultants Inc.
+ go2net.com Go2Net, Inc.
+ goal-partners.com Goal-Partners, Inc.
+@@ -6605,6 +6607,8 @@
+ maco.net Matrix Communications
+ macom.com M/A-COM, Incorporated
+ macomb.com Infobahn Outfitters
++macosforge.org Mac OS Forge
++macports.org The MacPorts Project
+ macromedia.com Macromedia
+ macrowerx.com Ultra Violet Catastrophe
+ macs.net Net Ramp, Inc