Index: contrib/MacPorts_Framework/BetterAuthorizationSampleLib.c
===================================================================
--- contrib/MacPorts_Framework/BetterAuthorizationSampleLib.c	(revision 65513)
+++ contrib/MacPorts_Framework/BetterAuthorizationSampleLib.c	(revision 69794)
@@ -1576,5 +1576,5 @@
     
     if (errStr != NULL) {
-        err = asl_log(asl, aslMsg, ASL_LEVEL_ERR, errStr);
+        err = asl_log(asl, aslMsg, ASL_LEVEL_ERR, "%s", errStr);
         assert(err == 0);
     }
Index: contrib/MacPorts_Framework/MPInterpreter.m
===================================================================
--- contrib/MacPorts_Framework/MPInterpreter.m	(revision 65513)
+++ contrib/MacPorts_Framework/MPInterpreter.m	(revision 69794)
@@ -347,6 +347,7 @@
 }
 
-- (unsigned)retainCount {
-    return UINT_MAX;  //denotes an object that cannot be released
+- (NSUInteger)retainCount
+{
+    return NSUIntegerMax;  //denotes an object that cannot be released
 }
 
@@ -545,5 +546,5 @@
 	
 	//In order to make the framework work normally by default ... we do a bare initialization
-	//of internalMacPortsAuthRef if the delegate hasn't iniitialzed it already
+	//of internalMacPortsAuthRef if the delegate hasn't initialzed it already
 	if (internalMacPortsAuthRef == NULL) {
 		OSStatus res = AuthorizationCreate (NULL, kAuthorizationEmptyEnvironment, kAuthorizationFlagDefaults, &internalMacPortsAuthRef);
Index: contrib/MacPorts_Framework/MPMacPorts.m
===================================================================
--- contrib/MacPorts_Framework/MPMacPorts.m	(revision 65513)
+++ contrib/MacPorts_Framework/MPMacPorts.m	(revision 69794)
@@ -116,6 +116,7 @@
 }
 
-- (unsigned)retainCount {
-    return UINT_MAX;  //denotes an object that cannot be released
+- (NSUInteger)retainCount
+{
+    return NSUIntegerMax;  //denotes an object that cannot be released
 }
 
Index: contrib/MacPorts_Framework/MPMutableDictionary.m
===================================================================
--- contrib/MacPorts_Framework/MPMutableDictionary.m	(revision 65513)
+++ contrib/MacPorts_Framework/MPMutableDictionary.m	(revision 69794)
@@ -42,5 +42,5 @@
 	self = [super init];
 	if (self != nil) {
-		embeddedDictionary = [[NSMutableDictionary alloc] initWithCapacity:0];
+		embeddedDictionary = [(NSMutableDictionary *)[NSMutableDictionary alloc] initWithCapacity:0];
 	}
 	return self;
@@ -50,5 +50,5 @@
 	self = [super init];
 	if (self != nil) {
-		embeddedDictionary = [[NSMutableDictionary alloc] initWithCapacity:numItems];
+		embeddedDictionary = [(NSMutableDictionary *)[NSMutableDictionary alloc] initWithCapacity:numItems];
 	}
 	return self;
Index: contrib/MacPorts_Framework/MPNotifications.m
===================================================================
--- contrib/MacPorts_Framework/MPNotifications.m	(revision 65513)
+++ contrib/MacPorts_Framework/MPNotifications.m	(revision 69794)
@@ -70,6 +70,6 @@
 }
 
-- (unsigned)retainCount {
-	return UINT_MAX;
+- (NSUInteger)retainCount {
+    return NSUIntegerMax;  //denotes an object that cannot be released
 }
 
Index: contrib/MacPorts_Framework/MPRegistry.m
===================================================================
--- contrib/MacPorts_Framework/MPRegistry.m	(revision 65513)
+++ contrib/MacPorts_Framework/MPRegistry.m	(revision 69794)
@@ -73,6 +73,6 @@
 }
 
-- (unsigned)retainCount {
-    return UINT_MAX;  //denotes an object that cannot be released
+- (NSUInteger)retainCount {
+    return NSUIntegerMax;  //denotes an object that cannot be released
 }
 
@@ -101,5 +101,5 @@
 	id item;
 	raw = [self installedAsArray:name withVersion:version];
-	result = [[NSMutableDictionary alloc] initWithCapacity:[raw count]];
+	result = [(NSMutableDictionary *)[NSMutableDictionary alloc] initWithCapacity:[raw count]];
 	rawEnumerator = [raw objectEnumerator];
 	while (item = [rawEnumerator nextObject]) {
Index: contrib/MacPorts_Framework/SimpleLog.m
===================================================================
--- contrib/MacPorts_Framework/SimpleLog.m	(revision 65513)
+++ contrib/MacPorts_Framework/SimpleLog.m	(revision 69794)
@@ -27,10 +27,10 @@
 		if (tclResult == TCL_OK) {
 			if (tclCount > 0) {
-                NSLog([NSString stringWithUTF8String:tclElements[0]]);
+                NSLog(@"%@", [NSString stringWithUTF8String:tclElements[0]]);
 				data = [NSMutableString stringWithUTF8String:tclElements[0]];
 				[data appendString:MPSEPARATOR];
 				
 				if(tclCount > 1 && tclElements[1]) {
-                    NSLog([NSString stringWithUTF8String:tclElements[1]]);
+                    NSLog(@"%@", [NSString stringWithUTF8String:tclElements[1]]);
 					[data appendString:[NSString stringWithUTF8String:tclElements[1]]];
 					[data appendString:MPSEPARATOR];
@@ -42,5 +42,5 @@
 				
 				if(tclCount > 2 && tclElements[2]) {
-                    NSLog([NSString stringWithUTF8String:tclElements[2]]);
+                    NSLog(@"%@", [NSString stringWithUTF8String:tclElements[2]]);
 					[data appendString:[NSString stringWithUTF8String:tclElements[2]]];
 					[data appendString:MPSEPARATOR];