Index: trunk/dports/editors/abiword-x11/Portfile
===================================================================
--- trunk/dports/editors/abiword-x11/Portfile	(revision 77688)
+++ trunk/dports/editors/abiword-x11/Portfile	(revision 77689)
@@ -7,4 +7,5 @@
 set dname       abiword
 version		2.8.6
+revision        1
 description	A word processor with gnome support.
 long_description        A word processor with gnome support.
Index: trunk/dports/gnome/at-spi/Portfile
===================================================================
--- trunk/dports/gnome/at-spi/Portfile	(revision 77688)
+++ trunk/dports/gnome/at-spi/Portfile	(revision 77689)
@@ -6,4 +6,5 @@
 name                at-spi
 version             1.30.1
+revision            1
 set branch          [join [lrange [split ${version} .] 0 1] .]
 description         Gnome Accesibility Technology Service
Index: trunk/dports/gnome/bakery/Portfile
===================================================================
--- trunk/dports/gnome/bakery/Portfile	(revision 77688)
+++ trunk/dports/gnome/bakery/Portfile	(revision 77689)
@@ -5,4 +5,5 @@
 name		bakery
 version		2.6.3
+revision        1
 set branch      [join [lrange [split ${version} .] 0 1] .]
 description	Bakery is a C++ Framework for creating GNOME applications using gtkmm.
Index: trunk/dports/gnome/balsa/Portfile
===================================================================
--- trunk/dports/gnome/balsa/Portfile	(revision 77688)
+++ trunk/dports/gnome/balsa/Portfile	(revision 77689)
@@ -6,4 +6,5 @@
 name		balsa
 version		2.4.9
+revision        1
 description	Gnome email client
 long_description        Balsa is an e-mail client for GNOME, highly \
Index: trunk/dports/gnome/bug-buddy/Portfile
===================================================================
--- trunk/dports/gnome/bug-buddy/Portfile	(revision 77688)
+++ trunk/dports/gnome/bug-buddy/Portfile	(revision 77689)
@@ -6,5 +6,5 @@
 name		bug-buddy
 version		2.30.0
-revision        1
+revision        2
 set branch  [join [lrange [split ${version} .] 0 1] .]
 description	A graphical bug reporting tool.
Index: trunk/dports/gnome/conglomerate/Portfile
===================================================================
--- trunk/dports/gnome/conglomerate/Portfile	(revision 77688)
+++ trunk/dports/gnome/conglomerate/Portfile	(revision 77689)
@@ -6,4 +6,5 @@
 name		conglomerate
 version		0.9.1
+revision        1
 description	Conglomerate aims to be an XML editor that everyone can use.
 long_description        ${description}
Index: trunk/dports/gnome/dasher/Portfile
===================================================================
--- trunk/dports/gnome/dasher/Portfile	(revision 77688)
+++ trunk/dports/gnome/dasher/Portfile	(revision 77689)
@@ -6,5 +6,5 @@
 name            dasher
 version         4.11
-revision        1
+revision        2
 set branch      [join [lrange [split ${version} .] 0 1] .]
 description     Zooming text entry system.
Index: trunk/dports/gnome/drivel/Portfile
===================================================================
--- trunk/dports/gnome/drivel/Portfile	(revision 77688)
+++ trunk/dports/gnome/drivel/Portfile	(revision 77689)
@@ -6,4 +6,5 @@
 name		drivel
 version		3.0.2
+revision        1
 description	Drivel is a GNOME client for working with online journals, weblogs or just blogs.
 long_description \
Index: trunk/dports/gnome/empathy/Portfile
===================================================================
--- trunk/dports/gnome/empathy/Portfile	(revision 77688)
+++ trunk/dports/gnome/empathy/Portfile	(revision 77689)
@@ -6,5 +6,5 @@
 name            empathy
 version         2.30.3
-revision        2
+revision        3
 set branch      [join [lrange [split ${version} .] 0 1] .]
 description     Empathy is an instant-messaging(chat) program for GNOME
Index: trunk/dports/gnome/epiphany/Portfile
===================================================================
--- trunk/dports/gnome/epiphany/Portfile	(revision 77688)
+++ trunk/dports/gnome/epiphany/Portfile	(revision 77689)
@@ -6,5 +6,5 @@
 name		epiphany
 version		2.30.6
-revision        2
+revision        3
 set branch      [join [lrange [split ${version} .] 0 1] .]
 description	A GNOME Web browser.
Index: trunk/dports/gnome/evolution-data-server/Portfile
===================================================================
--- trunk/dports/gnome/evolution-data-server/Portfile	(revision 77688)
+++ trunk/dports/gnome/evolution-data-server/Portfile	(revision 77689)
@@ -6,4 +6,5 @@
 name            evolution-data-server
 version         2.30.3
+revision        1
 set branch      [join [lrange [split ${version} .] 0 1] .]
 description     Addressbook and calender libs for GNOME.
Index: trunk/dports/gnome/file-roller/Portfile
===================================================================
--- trunk/dports/gnome/file-roller/Portfile	(revision 77688)
+++ trunk/dports/gnome/file-roller/Portfile	(revision 77689)
@@ -6,5 +6,5 @@
 name		file-roller
 version		2.30.2
-revision        2
+revision        3
 set branch      [join [lrange [split ${version} .] 0 1] .]
 description	An archive manager for GNOME
Index: trunk/dports/gnome/gcalctool/Portfile
===================================================================
--- trunk/dports/gnome/gcalctool/Portfile	(revision 77688)
+++ trunk/dports/gnome/gcalctool/Portfile	(revision 77689)
@@ -6,4 +6,5 @@
 name		gcalctool
 version		5.30.2
+revision        1
 set branch      [join [lrange [split ${version} .] 0 1] .]
 description	a GNOME 2 desktop calculator.
Index: trunk/dports/gnome/gconf-editor/Portfile
===================================================================
--- trunk/dports/gnome/gconf-editor/Portfile	(revision 77688)
+++ trunk/dports/gnome/gconf-editor/Portfile	(revision 77689)
@@ -6,5 +6,5 @@
 name		gconf-editor
 version		2.30.0
-revision        1
+revision        2
 set branch	[join [lrange [split ${version} .] 0 1] .]
 description	gconf-editor is a gconf database editor for GNOME 2.0.
Index: trunk/dports/gnome/gdl/Portfile
===================================================================
--- trunk/dports/gnome/gdl/Portfile	(revision 77688)
+++ trunk/dports/gnome/gdl/Portfile	(revision 77689)
@@ -6,4 +6,5 @@
 name                gdl
 version             2.30.1
+revision            1
 set branch          [join [lrange [split ${version} .] 0 1] .]
 categories          gnome devel
Index: trunk/dports/gnome/gdm/Portfile
===================================================================
--- trunk/dports/gnome/gdm/Portfile	(revision 77688)
+++ trunk/dports/gnome/gdm/Portfile	(revision 77689)
@@ -9,5 +9,5 @@
 name		gdm
 version		2.30.5
-revision        1
+revision        2
 set branch      [join [lrange [split ${version} .] 0 1] .]
 description	The Gnome Display Manager is a re-implementation of the well known xdm program.
Index: trunk/dports/gnome/glabels/Portfile
===================================================================
--- trunk/dports/gnome/glabels/Portfile	(revision 77688)
+++ trunk/dports/gnome/glabels/Portfile	(revision 77689)
@@ -6,4 +6,5 @@
 name                glabels
 version             2.2.8
+revision            1
 set branch          [join [lrange [split ${version} .] 0 1] .]
 categories          gnome
Index: trunk/dports/gnome/gnome-applets/Portfile
===================================================================
--- trunk/dports/gnome/gnome-applets/Portfile	(revision 77688)
+++ trunk/dports/gnome/gnome-applets/Portfile	(revision 77689)
@@ -6,5 +6,5 @@
 name            gnome-applets
 version         2.30.0
-revision        1
+revision        2
 set branch      [join [lrange [split ${version} .] 0 1] .]
 description     GNOME panel applets.
Index: trunk/dports/gnome/gnome-control-center/Portfile
===================================================================
--- trunk/dports/gnome/gnome-control-center/Portfile	(revision 77688)
+++ trunk/dports/gnome/gnome-control-center/Portfile	(revision 77689)
@@ -6,4 +6,5 @@
 name		gnome-control-center
 version		2.30.1
+revision        1
 set branch      [join [lrange [split ${version} .] 0 1] .]
 description	Control center for GNOME 2.0 project.
Index: trunk/dports/gnome/gnome-games/Portfile
===================================================================
--- trunk/dports/gnome/gnome-games/Portfile	(revision 77688)
+++ trunk/dports/gnome/gnome-games/Portfile	(revision 77689)
@@ -6,4 +6,5 @@
 name		gnome-games
 version		2.30.2
+revision        1
 set branch  [join [lrange [split ${version} .] 0 1] .]
 description	Collection of small but addictive games for GNOME
Index: trunk/dports/gnome/gnome-mag/Portfile
===================================================================
--- trunk/dports/gnome/gnome-mag/Portfile	(revision 77688)
+++ trunk/dports/gnome/gnome-mag/Portfile	(revision 77689)
@@ -6,4 +6,5 @@
 name		gnome-mag
 version         0.16.3
+revision        1
 set branch      [join [lrange [split ${version} .] 0 1] .]
 description	GNOME magnifier.
Index: trunk/dports/gnome/gnome-media/Portfile
===================================================================
--- trunk/dports/gnome/gnome-media/Portfile	(revision 77688)
+++ trunk/dports/gnome/gnome-media/Portfile	(revision 77689)
@@ -6,5 +6,5 @@
 name            gnome-media
 version         2.30.0
-revision        3
+revision        4
 set branch      [join [lrange [split ${version} .] 0 1] .]
 description     A collection of utilities for simple multimedia handling.
Index: trunk/dports/gnome/gnome-netstatus/Portfile
===================================================================
--- trunk/dports/gnome/gnome-netstatus/Portfile	(revision 77688)
+++ trunk/dports/gnome/gnome-netstatus/Portfile	(revision 77689)
@@ -6,5 +6,5 @@
 name		gnome-netstatus
 version		2.28.2
-revision        1
+revision        2
 set branch      [join [lrange [split ${version} .] 0 1] .]
 description	The GNOME Network Monitor Applet
Index: trunk/dports/gnome/gnome-panel/Portfile
===================================================================
--- trunk/dports/gnome/gnome-panel/Portfile	(revision 77688)
+++ trunk/dports/gnome/gnome-panel/Portfile	(revision 77689)
@@ -5,4 +5,5 @@
 name            gnome-panel
 version         2.30.2
+revision        1
 set branch      [join [lrange [split ${version} .] 0 1] .]
 maintainers     devans openmaintainer
Index: trunk/dports/gnome/gnome-python-desktop/Portfile
===================================================================
--- trunk/dports/gnome/gnome-python-desktop/Portfile	(revision 77688)
+++ trunk/dports/gnome/gnome-python-desktop/Portfile	(revision 77689)
@@ -6,4 +6,5 @@
 name            gnome-python-desktop
 version         2.30.2
+revision        1
 set branch      [join [lrange [split ${version} .] 0 1] .]
 categories      gnome python
Index: trunk/dports/gnome/gnome-settings-daemon/Portfile
===================================================================
--- trunk/dports/gnome/gnome-settings-daemon/Portfile	(revision 77688)
+++ trunk/dports/gnome/gnome-settings-daemon/Portfile	(revision 77689)
@@ -5,5 +5,5 @@
 name            gnome-settings-daemon
 version         2.30.2
-revision        2
+revision        3
 set branch      [join [lrange [split ${version} .] 0 1] .]
 description     Gnome 2 settings daemon.
Index: trunk/dports/gnome/gnome-terminal/Portfile
===================================================================
--- trunk/dports/gnome/gnome-terminal/Portfile	(revision 77688)
+++ trunk/dports/gnome/gnome-terminal/Portfile	(revision 77689)
@@ -6,5 +6,5 @@
 name		gnome-terminal
 version		2.30.2
-revision        1
+revision        2
 set branch      [join [lrange [split ${version} .] 0 1] .]
 description	Terminal component for the GNOME 2 Desktop
Index: trunk/dports/gnome/gtksourceview/Portfile
===================================================================
--- trunk/dports/gnome/gtksourceview/Portfile	(revision 77688)
+++ trunk/dports/gnome/gtksourceview/Portfile	(revision 77689)
@@ -6,5 +6,5 @@
 name            gtksourceview
 version         1.8.5
-revision        1
+revision        2
 set branch      [join [lrange [split ${version} .] 0 1] .]
 maintainers     nomaintainer
Index: trunk/dports/gnome/gucharmap/Portfile
===================================================================
--- trunk/dports/gnome/gucharmap/Portfile	(revision 77688)
+++ trunk/dports/gnome/gucharmap/Portfile	(revision 77689)
@@ -6,5 +6,5 @@
 name		gucharmap
 version         2.30.3
-revision        1
+revision        2
 set branch      [join [lrange [split ${version} .] 0 1] .]
 description	gucharmap is a featureful unicode character map.
Index: trunk/dports/gnome/libchamplain/Portfile
===================================================================
--- trunk/dports/gnome/libchamplain/Portfile	(revision 77688)
+++ trunk/dports/gnome/libchamplain/Portfile	(revision 77689)
@@ -6,4 +6,5 @@
 name            libchamplain
 version         0.4.7
+revision        1
 license         LGPLv2.1+
 set branch      [join [lrange [split ${version} .] 0 1] .]
Index: trunk/dports/gnome/libepc/Portfile
===================================================================
--- trunk/dports/gnome/libepc/Portfile	(revision 77688)
+++ trunk/dports/gnome/libepc/Portfile	(revision 77689)
@@ -6,4 +6,5 @@
 name            libepc
 version         0.3.11
+revision        1
 set branch      [join [lrange [split ${version} .] 0 1] .]
 maintainers     devans openmaintainer
Index: trunk/dports/gnome/libglademm/Portfile
===================================================================
--- trunk/dports/gnome/libglademm/Portfile	(revision 77688)
+++ trunk/dports/gnome/libglademm/Portfile	(revision 77689)
@@ -6,4 +6,5 @@
 name		libglademm
 version		2.6.7
+revision        1
 set branch      [join [lrange [split ${version} .] 0 1] .]
 description	C++ wrapper for libglade2.
Index: trunk/dports/gnome/libgnomecanvasmm/Portfile
===================================================================
--- trunk/dports/gnome/libgnomecanvasmm/Portfile	(revision 77688)
+++ trunk/dports/gnome/libgnomecanvasmm/Portfile	(revision 77689)
@@ -6,4 +6,5 @@
 name		libgnomecanvasmm
 version		2.26.0
+revision        1
 set branch      [join [lrange [split ${version} .] 0 1] .]
 description	libgnomecanvasmm provides C++ wrappers for libgnomecanvas.
Index: trunk/dports/gnome/libgnomekbd/Portfile
===================================================================
--- trunk/dports/gnome/libgnomekbd/Portfile	(revision 77688)
+++ trunk/dports/gnome/libgnomekbd/Portfile	(revision 77689)
@@ -6,4 +6,5 @@
 name                libgnomekbd
 version             2.30.2
+revision            1
 set branch          [join [lrange [split ${version} .] 0 1] .]
 description         Libgnomekbd is something new.
Index: trunk/dports/gnome/libgnomemm/Portfile
===================================================================
--- trunk/dports/gnome/libgnomemm/Portfile	(revision 77688)
+++ trunk/dports/gnome/libgnomemm/Portfile	(revision 77689)
@@ -6,4 +6,5 @@
 name		libgnomemm
 version		2.30.0
+revision        1
 set branch      [join [lrange [split ${version} .] 0 1] .]
 description	libgnomemm provides C++ wrappers for libgnome.
Index: trunk/dports/gnome/libgnomeuimm/Portfile
===================================================================
--- trunk/dports/gnome/libgnomeuimm/Portfile	(revision 77688)
+++ trunk/dports/gnome/libgnomeuimm/Portfile	(revision 77689)
@@ -6,4 +6,5 @@
 name		libgnomeuimm
 version		2.28.0
+revision        1
 set branch      [join [lrange [split ${version} .] 0 1] .]
 description	libgnomemm provides C++ wrappers for libgnomeui.
Index: trunk/dports/gnome/metacity/Portfile
===================================================================
--- trunk/dports/gnome/metacity/Portfile	(revision 77688)
+++ trunk/dports/gnome/metacity/Portfile	(revision 77689)
@@ -6,5 +6,5 @@
 name		metacity
 version		2.30.3
-revision        1
+revision        2
 set branch  [join [lrange [split ${version} .] 0 1] .]
 description	A window manager for the adult in you.
Index: trunk/dports/gnome/oregano/Portfile
===================================================================
--- trunk/dports/gnome/oregano/Portfile	(revision 77688)
+++ trunk/dports/gnome/oregano/Portfile	(revision 77689)
@@ -5,4 +5,5 @@
 name                oregano
 version             0.69.0
+revision            1
 categories          gnome science
 maintainers         nomaintainer
Index: trunk/dports/gnome/policykit-gnome/Portfile
===================================================================
--- trunk/dports/gnome/policykit-gnome/Portfile	(revision 77688)
+++ trunk/dports/gnome/policykit-gnome/Portfile	(revision 77689)
@@ -6,4 +6,5 @@
 name            policykit-gnome
 version         0.96
+revision        1
 description     Provides convenience functions for using PolicyKit from GTK+ \
                 and GNOME applications.
Index: trunk/dports/gnome/seahorse-plugins/Portfile
===================================================================
--- trunk/dports/gnome/seahorse-plugins/Portfile	(revision 77688)
+++ trunk/dports/gnome/seahorse-plugins/Portfile	(revision 77689)
@@ -6,5 +6,5 @@
 name		seahorse-plugins
 version		2.30.1
-revision        1
+revision        2
 set branch      [join [lrange [split ${version} .] 0 1] .]
 description	Seahorse plugins.
Index: trunk/dports/gnome/seahorse/Portfile
===================================================================
--- trunk/dports/gnome/seahorse/Portfile	(revision 77688)
+++ trunk/dports/gnome/seahorse/Portfile	(revision 77689)
@@ -6,5 +6,5 @@
 name		seahorse
 version		2.30.1
-revision        1
+revision        2
 set branch      [join [lrange [split ${version} .] 0 1] .]
 description	Seahorse is a GNOME application for managing encryption keys.
Index: trunk/dports/gnome/totem/Portfile
===================================================================
--- trunk/dports/gnome/totem/Portfile	(revision 77688)
+++ trunk/dports/gnome/totem/Portfile	(revision 77689)
@@ -6,5 +6,5 @@
 name            totem
 version         2.30.2
-revision        2
+revision        3
 set branch      [join [lrange [split ${version} .] 0 1] .]
 categories      gnome
Index: trunk/dports/gnome/vino/Portfile
===================================================================
--- trunk/dports/gnome/vino/Portfile	(revision 77688)
+++ trunk/dports/gnome/vino/Portfile	(revision 77689)
@@ -6,4 +6,5 @@
 name		vino
 version         2.28.2
+revision        1
 set branch      [join [lrange [split ${version} .] 0 1] .]
 homepage	http://www.gnome.org
Index: trunk/dports/gnome/yelp/Portfile
===================================================================
--- trunk/dports/gnome/yelp/Portfile	(revision 77688)
+++ trunk/dports/gnome/yelp/Portfile	(revision 77689)
@@ -6,5 +6,5 @@
 name            yelp
 version         2.30.2
-revision        1
+revision        2
 set branch      [join [lrange [split ${version} .] 0 1] .]
 description     Help browser for GNOME.
Index: trunk/dports/graphics/clutter-gtk/Portfile
===================================================================
--- trunk/dports/graphics/clutter-gtk/Portfile	(revision 77688)
+++ trunk/dports/graphics/clutter-gtk/Portfile	(revision 77689)
@@ -6,4 +6,5 @@
 name            clutter-gtk
 version         0.10.8
+revision        1
 set branch      [string range $version 0 [expr [string last "." $version] - 1]]
 categories      graphics
Index: trunk/dports/multimedia/swfdec/Portfile
===================================================================
--- trunk/dports/multimedia/swfdec/Portfile	(revision 77688)
+++ trunk/dports/multimedia/swfdec/Portfile	(revision 77689)
@@ -6,4 +6,5 @@
 name            swfdec
 version         0.8.4
+revision        1
 set branch      [join [lrange [split ${version} .] 0 1] .]
 categories      multimedia
Index: trunk/dports/net/libgweather/Portfile
===================================================================
--- trunk/dports/net/libgweather/Portfile	(revision 77688)
+++ trunk/dports/net/libgweather/Portfile	(revision 77689)
@@ -6,5 +6,5 @@
 name            libgweather
 version         2.30.3
-revision        1
+revision        2
 set branch      [join [lrange [split ${version} .] 0 1] .]
 maintainers     devans openmaintainer