Index: trunk/dports/devel/dbus/Portfile
===================================================================
--- trunk/dports/devel/dbus/Portfile	(revision 77701)
+++ trunk/dports/devel/dbus/Portfile	(revision 77702)
@@ -53,4 +53,8 @@
                 --enable-launchd \
                 --with-launchd-agent-dir=${prefix}/Library/LaunchAgents
+
+platform darwin {
+	startupitem.name			dbus-system
+}
 
 pre-configure {
Index: trunk/dports/devel/libffi/Portfile
===================================================================
--- trunk/dports/devel/libffi/Portfile	(revision 77701)
+++ trunk/dports/devel/libffi/Portfile	(revision 77702)
@@ -42,5 +42,10 @@
 platform darwin 10 {
     # ticket #21401
+    configure.compiler  macports-gcc-4.6
     patchfiles-append ppc_FDE_Encoding.diff
+}
+
+post-configure {
+    reinplace "s|includesdir = \$(libdir)/libffi-3.0.9/include|includesdir = \$(prefix)/include|" ${worksrcpath}/include/Makefile
 }
 
Index: trunk/dports/devel/lua-luahpdf/Portfile
===================================================================
--- trunk/dports/devel/lua-luahpdf/Portfile	(revision 77701)
+++ trunk/dports/devel/lua-luahpdf/Portfile	(revision 77702)
@@ -3,40 +3,39 @@
 
 name                lua-luahpdf
-version             0.1
+version             1.0
 categories          devel
 platforms           darwin
 maintainers         and.damore openmaintainer
+
 description         Lua module that lets you programmatically create PDF files
-long_description    \
-LuaHPDF is a Lua module that lets you programmatically create PDF files using \
-Lua. It does this by binding to the Haru Free PDF Library, an open-source \
-library that manages the details of PDF generation. \
- \
+
+long_description    LuaHPDF is a Lua module that lets you programmatically \
+create PDF files using Lua. It does this by binding to the Haru Free PDF \
+Library, an open-source library that manages the details of PDF generation. \
 With this module, you can write Lua programs that will produce PDF files that \
-include \
- \
-lines, text and graphics \
-PNG and JPEG images \
-compression \
-encryption \
-Type1 and TrueType fonts \
-various character sets \
-outlines \
-links
+include lines, text and graphics PNG and JPEG images compression encryption \
+Type1 and TrueType fonts various character sets outlines links
 
-homepage            http://www.keplerproject.org/copas/
-master_sites        http://luaforge.net/frs/download.php/2145/
-checksums           md5     5f6aba6532837f5255176cc41c89358a \
-                    sha1    184549f019254980f473d8da2b337069a6f197bf \
-                    rmd160  0feeb173ff7cce4d32112dedd3eb049fb98cd4de
-
-distname            luahpdf-${version}
 depends_lib         port:lua \
 					port:libharu
 
-patchfiles          patch-Makefile.diff
+homepage            http://code.google.com/p/luahpdf/
+
+master_sites        googlecode:luahpdf
+
+checksums           md5     4f4c6f6152202c9275a23bfab8cd8f1c \
+                    sha1    4d7a667deda9e185381026ef0d623b9572f64510 \
+                    rmd160  95a8ad3411974adf2e9c3107adf3391f4eb4ccc9
+
+distname            luahpdf-${version}
+
 post-patch {
-   reinplace "s|^PREFIX.*\$|PREFIX=${prefix}|" ${worksrcpath}/Makefile
+   reinplace "s|PREFIX=/usr/local|PREFIX=${prefix}|" ${worksrcpath}/Makefile
+   reinplace "s|cc -ansi -DHPDF_SHARED -pedantic -Wall -O2|cc -ansi -DHPDF_SHARED -pedantic -Wall -O2 \$(CFLAGS) \$(LDFLAGS)|" ${worksrcpath}/Makefile
 }
+
 use_configure       no
-build.target        main
+
+use_parallel_build  no
+
+build.env           CFLAGS=-I${prefix}/include LDFLAGS=-L${prefix}/lib
Index: trunk/dports/devel/lua-luahpdf/files/patch-Makefile.diff
===================================================================
--- trunk/dports/devel/lua-luahpdf/files/patch-Makefile.diff	(revision 77701)
+++ trunk/dports/devel/lua-luahpdf/files/patch-Makefile.diff	(revision 77702)
@@ -1,30 +1,32 @@
---- Makefile.orig	2010-11-08 14:02:26.000000000 +0100
-+++ Makefile	2010-11-08 14:02:42.000000000 +0100
-@@ -4,6 +4,7 @@
- LIB = hpdf.so
- TAR = $(PACKAGE).tar.gz
- ZIP = $(PACKAGE).zip
-+PREFIX=/.
+--- Makefile.orig	2010-11-10 15:01:35.000000000 +0100
++++ Makefile	2010-11-10 15:04:19.000000000 +0100
+@@ -1,7 +1,8 @@
+ # --- Change the settings below to suit your environment ---
  
- PDF = \
- 	demo/arc_demo.pdf \
-@@ -29,6 +30,10 @@
- 	doc/html/index.html \
- 	doc/html/license.html
+-PREFIX=/usr
+-DOCDIR=/usr/local/share/doc/luahpdf
++PREFIX=/usr/local
++LIBDIR=$(PREFIX)/lib/lua/5.1
++DOCDIR=$(PREFIX)/share/doc/luahpdf
+ LUALIB=-llua
+ LUAINC=
+ HPDFLIB=-lhpdf
+@@ -44,13 +45,13 @@
+ test : $(TARGET)
+ 	@lua -e "package.path=\"\" package.cpath=\"./?.so;./?.dll\" require \"hpdf\" print(hpdf.VERSION_TEXT)"
  
-+install : main
-+	mkdir -p "$(DESTDIR)$(PREFIX)/lib/lua/5.1"
-+	cp hpdf.so $(DESTDIR)$(PREFIX)/lib/lua/5.1
-+
- main : lib
+-all : test doc demo
++all : $(TARGET) doc
+ 
+ install : $(TARGET) doc
+-	install -m 0755 -d "$(DESTDIR)$(PREFIX)/lib/lua/5.1"
+-	install -m 0755 $(TARGET) "$(DESTDIR)$(PREFIX)/lib/lua/5.1"
+-	install -m 0755 -d "$(DESTDIR)$(DOCDIR)"
+-	install -m 0644 doc/html/*.html doc/html/*.css doc/html/*.png "$(DESTDIR)$(DOCDIR)"
++	install -m 0755 -d "$(DESTDIR)$(LIBDIR)"
++	install -m 0755 $(TARGET) "$(DESTDIR)$(LIBDIR)"
++	install -m 0755 -d "$(DESTDIR)$(DOCDIR)"
++	install -m 0644 doc/html/*.html doc/html/*.css doc/html/*.png "$(DESTDIR)$(DOCDIR)"
  
  doc : $(HTML)
-@@ -38,7 +43,7 @@
- lib : $(LIB)
  
- $(LIB) : hpdf.c
--	cc -DHPDF_SHARED -ansi -pedantic -Wall -O2 -o $@ -shared -l hpdf $<
-+	cc -DHPDF_SHARED -ansi -pedantic -Wall -O2 -o $@ -shared -l hpdf -l lua $<
- 
- package : clean doc
- 	rm -fr $(PACKAGE)
Index: trunk/dports/devel/lua-xavante/Portfile
===================================================================
--- trunk/dports/devel/lua-xavante/Portfile	(revision 77701)
+++ trunk/dports/devel/lua-xavante/Portfile	(revision 77702)
@@ -3,5 +3,5 @@
 
 name                lua-xavante
-version             2.0.1
+version             2.2.1
 categories          devel www
 maintainers         and.damore openmaintainer
@@ -11,11 +11,13 @@
 					redirect handler and a WSAPI handler. Those are used for general files, \
 					URI remapping and WSAPI applications respectively.
+
 homepage            http://www.keplerproject.org/xavante/
 platforms           darwin
-master_sites        http://luaforge.net/frs/download.php/3966                
+master_sites        https://github.com/downloads/keplerproject/xavante
 distname            xavante-${version}
-checksums           md5     522f1423c76c737aa6fbdd079b1c19b6 \
-                    sha1    0dd9fda9a9cbc23892584c90efd137b0d045b979 \
-                    rmd160  0fa867d07cd2e82e5f50db69e52441c7cfc1d578
+checksums           md5     fbbb0655095bcd6b8345095f39470a1a \
+                    sha1    9b75b3750bc058eb8af115d081d56d76c67fa4dc \
+                    rmd160  75c2a41d3c333d7e05a221eec2f816431ee8b515
+
 patchfiles          patch-Makefile.diff \
 					patch-config.diff
@@ -28,4 +30,4 @@
 					port:lua-luasocket \
 					port:lua-luafilesystem
+
 use_configure		no
-
Index: trunk/dports/devel/luarocks/Portfile
===================================================================
--- trunk/dports/devel/luarocks/Portfile	(revision 77701)
+++ trunk/dports/devel/luarocks/Portfile	(revision 77702)
@@ -25,6 +25,7 @@
 
 configure.args      --with-lua=${prefix} \
-                    --rocks-tree=${prefix}/share/luarocks
-#                    --force-config
+                    --rocks-tree=${prefix}/share/${name}
+
+patchfiles          patch-src_luarocks_cfg.lua.diff
 
 variant md5 conflicts openssl description { Use md5 as checker } {
Index: trunk/dports/devel/luarocks/files/patch-src_luarocks_cfg.lua.diff
===================================================================
--- trunk/dports/devel/luarocks/files/patch-src_luarocks_cfg.lua.diff	(revision 77702)
+++ trunk/dports/devel/luarocks/files/patch-src_luarocks_cfg.lua.diff	(revision 77702)
@@ -0,0 +1,13 @@
+--- src/luarocks/cfg.lua.orig	2011-04-09 16:17:02.000000000 +0200
++++ src/luarocks/cfg.lua	2011-04-09 16:17:41.000000000 +0200
+@@ -129,8 +129,8 @@
+ 
+ local root = rocks_trees[#rocks_trees]
+ local defaults = {
+-   lua_modules_path = "/share/lua/5.1/",
+-   lib_modules_path = "/lib/lua/5.1/",
++   lua_modules_path = "/share/lua/5.1",
++   lib_modules_path = "/lib/lua/5.1",
+ 
+    arch = "unknown",
+    lib_extension = "unknown",